Subject: RE: combined User and Carrier ENUM (was RE: [Enum] Agenda items forIETF Paris)

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 18 Jul 2005 15:21:31 -0400

Otmar,

I understood the literal.  What I don't understand is how the situation
of an IP-PBX extrapolates to all types of end office switches.  There
seems to be an assumption that the 1,000 block or 10,000 block of
numbers will be permanently assigned to the operator (IP-PBX owner), but
that doesn't hold for public carriers where an end-user can change
carriers.  Also, if I build my own IP-PBX with one trunk and one
line-side user, will I have the right by law to enter a number into the
Carrier ENUM tree?

How does that then affect what server the record resides on?

Will we then need:
x.b.p.r.e.i.r.r.a.c.e164.arpa and 
c.i.l.b.u.p.r.e.i.r.r.a.c.e164.arpa

This seems like a slippery slope.

Mike

> -----Original Message-----
> From: enum-bounces at ietf.org [mailto:enum-bounces at ietf.org] On 
> Behalf Of Otmar Lendl
> Sent: Tuesday, July 12, 2005 2:24 AM
> To: enum at ietf.org
> Subject: Re: combined User and Carrier ENUM (was RE: [Enum] 
> Agenda items forIETF Paris)
> 
> On 2005/07/11 23:07, "Michael Hammer (mhammer)" 
> <mhammer at cisco.com> wrote:
> > Michael,
> > 
> > I did not assume anything.  And yes I am aware of the 
> variable length 
> > numbers in certain countries.  Will your system work when 
> every other 
> > 11 digit (+1-NPA-NXX-XXXX) number is ported to a different carrier?
> > BTW, in the US there are 3000 plus carriers and growing.  How many 
> > does Austria have?
> 
> Michael,
> 
> In Michael's I-D, the domain component "carrier" is meant as 
> the literal sequence of the ascii characters c,a,r,r,i,e and 
> r and not as a variable for which you substitute a real-life 
> carrier name.
> 
> It could just as well be "foobar", "c" or 
> "death-to-ss7-interconnects".
> 
> There is thus still one single tree per country (or NPA), and 
> thus still a need for a registry who runs that tree and with 
> which every carrier needs to interact to get its numbers into 
> carrier ENUM.
> 
> The number of carriers per country is thus irrelevant for the 
> lookup procedure.
> 
> /ol
> --
> < Otmar Lendl (lendl at nic.at) | nic.at Systems Engineer >
> 
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum